texlive[72628] Build/source/texk/web2c/texprofdir: TeXprof: Adding a

commits+mruckert at tug.org commits+mruckert at tug.org
Wed Oct 23 08:54:27 CEST 2024


Revision: 72628
          https://tug.org/svn/texlive?view=revision&revision=72628
Author:   mruckert
Date:     2024-10-23 08:54:27 +0200 (Wed, 23 Oct 2024)
Log Message:
-----------
TeXprof: Adding a simple test

Modified Paths:
--------------
    trunk/Build/source/texk/web2c/texprofdir/ChangeLog
    trunk/Build/source/texk/web2c/texprofdir/am/texprof.am

Added Paths:
-----------
    trunk/Build/source/texk/web2c/texprofdir/tests/hello.test
    trunk/Build/source/texk/web2c/texprofdir/tests/hello.tex

Modified: trunk/Build/source/texk/web2c/texprofdir/ChangeLog
===================================================================
--- trunk/Build/source/texk/web2c/texprofdir/ChangeLog	2024-10-22 23:41:53 UTC (rev 72627)
+++ trunk/Build/source/texk/web2c/texprofdir/ChangeLog	2024-10-23 06:54:27 UTC (rev 72628)
@@ -1,3 +1,7 @@
+2024-10-23  Martin Ruckert <martin.ruckert at hm.edu>
+
+	Adding a simple hello world test.
+
 2024-09-07  Karl Berry  <karl at freefriends.org>
 
 	* am/texprof.am (texprofile_c): depend on texprofile-tangle,

Modified: trunk/Build/source/texk/web2c/texprofdir/am/texprof.am
===================================================================
--- trunk/Build/source/texk/web2c/texprofdir/am/texprof.am	2024-10-22 23:41:53 UTC (rev 72627)
+++ trunk/Build/source/texk/web2c/texprofdir/am/texprof.am	2024-10-23 06:54:27 UTC (rev 72628)
@@ -46,7 +46,7 @@
 texprofile-tangle: ctangle$(EXEEXT) texprofdir/texprofile.w tangle-sh
 	$(texprof_ctangle_sh) texprofile
 
-EXTRA_DIST += texprofdir/ChangeLog $(texprof_web)
+EXTRA_DIST += texprofdir/ChangeLog $(texprof_web) $(texprofile_web) 
 
 DISTCLEANFILES += $(nodist_texprof_SOURCES)
 DISTCLEANFILES += texprofile-tangle texprof-tangle
@@ -53,24 +53,18 @@
 
 ## TeXprof tests
 #
-#texprof_tests = texprofdir/tests/hello.test \
-#  texprofdir/tests/rule.test
-#
-#texprofdir/tests/hello.log: texprof$(EXEEXT) histretch$(EXEEXT)
-#texprofdir/tests/rule.log: texprof$(EXEEXT) histretch$(EXEEXT) hishrink$(EXEEXT)
-#
-#EXTRA_DIST += $(texprof_tests)
-#
-#if TEXPROF
-#TESTS += $(texprof_tests)
-#endif TEXPROF
-#
+texprof_tests = texprofdir/tests/hello.test 
+
+texprofdir/tests/hello.log: texprof$(EXEEXT) texprofile$(EXEEXT)
+
+EXTRA_DIST += $(texprof_tests)
+
+if TEXPROF
+TESTS += $(texprof_tests)
+endif TEXPROF
+
 ## hello.test
-#EXTRA_DIST += texprofdir/tests/hello.tex 
-#DISTCLEANFILES += hello.log
+EXTRA_DIST += texprofdir/tests/hello.tex 
+DISTCLEANFILES += hello.log
 
-## rule.test
-#EXTRA_DIST += texprofdir/tests/rule.tex 
-#DISTCLEANFILES += rule.log
-
 # (end of texprof.am)

Added: trunk/Build/source/texk/web2c/texprofdir/tests/hello.test
===================================================================
--- trunk/Build/source/texk/web2c/texprofdir/tests/hello.test	                        (rev 0)
+++ trunk/Build/source/texk/web2c/texprofdir/tests/hello.test	2024-10-23 06:54:27 UTC (rev 72628)
@@ -0,0 +1,26 @@
+#!/bin/sh -vx
+# $Id: hello.test 61117 2021-11-22 16:45:58Z mruckert $
+# Public domain. Originally written by Martin Ruckert
+# Basic check that hello.tex can be profiled 
+
+LC_ALL=C; export LC_ALL;  LANGUAGE=C; export LANGUAGE
+
+TEXMFCNF=$srcdir/../kpathsea; export TEXMFCNF
+TEXINPUTS=$srcdir/texprofdir/tests; export TEXINPUTS
+TFMFONTS=$srcdir/tests; export TFMFONTS
+T1FONTS=$srcdir/tests; export T1FONTS
+
+# separate from texprofdir/tests because automake writes hello.log
+# in texprofdir/tests (so it already exists).
+OUTDIR=./texprofdir/tests/outdir; mkdir $OUTDIR
+
+#./texprof --help >/dev/null  || exit $?
+./texprof --version || exit $?
+./texprofile --version || exit $?
+
+./texprof -prof -ini -interaction=nonstopmode -output-directory=$OUTDIR hello.tex \
+    || exit $?
+
+./texprofile hello.tprof || exit $?
+
+exit 0


Property changes on: trunk/Build/source/texk/web2c/texprofdir/tests/hello.test
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: trunk/Build/source/texk/web2c/texprofdir/tests/hello.tex
===================================================================
--- trunk/Build/source/texk/web2c/texprofdir/tests/hello.tex	                        (rev 0)
+++ trunk/Build/source/texk/web2c/texprofdir/tests/hello.tex	2024-10-23 06:54:27 UTC (rev 72628)
@@ -0,0 +1,11 @@
+% $Id: hello.tex 61083 2021-11-17 02:55:42Z karl $
+% Public domain. Test file for hello,world text.
+% Originally written 2021 Martin Ruckert
+
+\catcode`\{=1 \catcode`\}=2 % can run under -ini
+\font\tenrm=cmr10 %
+\tenrm Hello world!
+\vfill
+
+\end
+


Property changes on: trunk/Build/source/texk/web2c/texprofdir/tests/hello.tex
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property


More information about the tex-live-commits mailing list.